curl --request GET \
--url https://api.dfns.io/swaps \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "swap-6a3ku-bn8d7-8u5rs1oukojms7k8",
"quoteId": "swapQuote-3hgv4-q8tbf-8v2ajmrbmg6m4i9t",
"reference": null,
"walletId": "wa-3l3cj-l8mq7-8q78f9nopq7f1qjv",
"targetWalletId": "wa-3l3cj-l8mq7-8q78f9nopq7f1qjv",
"status": "PendingPolicyApproval",
"provider": "UniswapClassic",
"quotedSourceAsset": {
"kind": "Native",
"amount": "10000000000",
"metadata": {
"network": "EthereumSepolia",
"name": "Ethereum",
"symbol": "SepoliaETH",
"decimals": 18,
"tid": "native:eth"
}
},
"quotedTargetAsset": {
"kind": "Erc20",
"contract": "0xda0be7efd234295395d4204d0df4358339b57b27",
"amount": "6467571553831928182",
"metadata": {
"network": "EthereumSepolia",
"name": "Test",
"symbol": "Test",
"decimals": 18,
"tid": "erc20:0xda0be7efd234295395d4204d0df4358339b57b27"
}
},
"slippageBps": 100,
"dateCreated": "2025-09-11T10:57:55.758Z",
"requestBody": {
"quoteId": "swapQuote-3hgv4-q8tbf-8v2ajmrbmg6m4i9t",
"walletId": "wa-3l3cj-l8mq7-8q78f9nopq7f1qjv",
"targetWalletId": "wa-3l3cj-l8mq7-8q78f9nopq7f1qjv",
"provider": "UniswapClassic",
"slippageBps": 100,
"sourceAsset": {
"kind": "Native",
"amount": "10000000000"
},
"targetAsset": {
"kind": "Erc20",
"contract": "0xda0be7efd234295395d4204d0df4358339b57b27",
"amount": "653003161"
}
},
"requester": {
"userId": "us-48r5q-eshfg-9pmr2lo6bmpr4i4i",
"tokenId": "to-4etah-smoal-9n3rmhul4dpaueg5"
}
}
],
"nextPageToken": "<string>"
}List all swaps with pagination
curl --request GET \
--url https://api.dfns.io/swaps \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "swap-6a3ku-bn8d7-8u5rs1oukojms7k8",
"quoteId": "swapQuote-3hgv4-q8tbf-8v2ajmrbmg6m4i9t",
"reference": null,
"walletId": "wa-3l3cj-l8mq7-8q78f9nopq7f1qjv",
"targetWalletId": "wa-3l3cj-l8mq7-8q78f9nopq7f1qjv",
"status": "PendingPolicyApproval",
"provider": "UniswapClassic",
"quotedSourceAsset": {
"kind": "Native",
"amount": "10000000000",
"metadata": {
"network": "EthereumSepolia",
"name": "Ethereum",
"symbol": "SepoliaETH",
"decimals": 18,
"tid": "native:eth"
}
},
"quotedTargetAsset": {
"kind": "Erc20",
"contract": "0xda0be7efd234295395d4204d0df4358339b57b27",
"amount": "6467571553831928182",
"metadata": {
"network": "EthereumSepolia",
"name": "Test",
"symbol": "Test",
"decimals": 18,
"tid": "erc20:0xda0be7efd234295395d4204d0df4358339b57b27"
}
},
"slippageBps": 100,
"dateCreated": "2025-09-11T10:57:55.758Z",
"requestBody": {
"quoteId": "swapQuote-3hgv4-q8tbf-8v2ajmrbmg6m4i9t",
"walletId": "wa-3l3cj-l8mq7-8q78f9nopq7f1qjv",
"targetWalletId": "wa-3l3cj-l8mq7-8q78f9nopq7f1qjv",
"provider": "UniswapClassic",
"slippageBps": 100,
"sourceAsset": {
"kind": "Native",
"amount": "10000000000"
},
"targetAsset": {
"kind": "Erc20",
"contract": "0xda0be7efd234295395d4204d0df4358339b57b27",
"amount": "653003161"
}
},
"requester": {
"userId": "us-48r5q-eshfg-9pmr2lo6bmpr4i4i",
"tokenId": "to-4etah-smoal-9n3rmhul4dpaueg5"
}
}
],
"nextPageToken": "<string>"
}CustomerEmployee)EndUser)Swaps:Read: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Maximum number of items to return.
1 <= x <= 500Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.
1Was this page helpful?